C======================================================================
C
C   VARIABLE DECLARATION AND COMMON BLOCKS
C
      IMPLICIT INTEGER*2 (I-N)
C
      COMMON /IO/ 
     & IRD,        ITYP,       IERR,       IBUG,       IF1,        IF2,
     & IRUN,       IRAW,       ICAL,       IOX,        IOY
C
      COMMON /ARRAY/
     & CNT(50),    ICOUNT
C
      COMMON /PKCMN/
     & MPEAK,      PANG(20),   PKTIM(20),  BKGTIM(20), 
     & IPKFND(20), LPEAK(20)
	LOGICAL LPEAK
C
      COMMON /RUN/
     & CONC,       SCONC,      NREC,       IPEAK,      NPEAK,
     & IREP,       NREP,       MOUNT,      NMOUNT
C
      COMMON /RUN2/
     & TITLE(20),  USER(5),    NMRUN(40),  NMRAW(40),  IFLAG(4)
	BYTE NMRUN, NMRAW
C
      COMMON /TIME/
     & ITIM(3),    IDAT(3),    ISTIM(5),   IENTIM(5)
C
      COMMON /IFDATA/
     & BANGL,      EANGL,      SETANG,     
     & SPINTE,     SPSLEW,     SPSTEP,     DELAY,      
     & IFTYPE,     IFNAME(6)
	BYTE IFNAME
C
      COMMON /IFCMN/ 
     & STPSIZ,     CANG,       ANGLE,      COUNTS,     CTIME,       
     & ISTEP,      IFSTAT,     NERRS,      LIMERR,     KICK
C
      COMMON /DBUG/
     & NBUG(20)
C
